package tree;
public class ObjectFieldOf extends Designator {
   public sym.FieldSy field;        // Symbol table reference
   public sym.ClassType class_;     // Symbol table reference
   public Designator base;          // Child

    public ObjectFieldOf(sym.ClassType class_, sym.FieldSy field, sym.TypeSy type, Designator base, int position) {
       super(type, position);
       this.field = field; this.base = base; this.class_ = class_;
   }

   public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{base}, 
                        new String[]{"class_","field","type"}, new sym.Symbol[]{class_,field,type},
                        new String[]{}, new String[]{}, 
                        position);
   }
}
